agent-configuration
Create Template
Create a custom agent template.
Allows users to create their own reusable templates for agent creation.
POST
/
config
/
templates
Create Template
curl --request POST \
--url https://api.example.com/config/templates \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"use_case_key": "<string>",
"recommended_config": {},
"description": "<string>",
"required_tools": [
"<string>"
],
"sample_first_message": "<string>",
"is_public": false
}
'import requests
url = "https://api.example.com/config/templates"
payload = {
"name": "<string>",
"use_case_key": "<string>",
"recommended_config": {},
"description": "<string>",
"required_tools": ["<string>"],
"sample_first_message": "<string>",
"is_public": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
use_case_key: '<string>',
recommended_config: {},
description: '<string>',
required_tools: ['<string>'],
sample_first_message: '<string>',
is_public: false
})
};
fetch('https://api.example.com/config/templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"owner_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"use_case_key": "<string>",
"description": "<string>",
"recommended_config": {},
"required_tools": [
"<string>"
],
"sample_first_message": "<string>",
"is_system_template": true,
"is_public": true,
"usage_count": 123,
"created_at": "<string>",
"updated_at": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Create custom agent template.
Response
Successful Response
Agent template response.
⌘I
Create Template
